"""
This file contains the serializers for permission models
"""

import logging
logger = logging.getLogger(__name__)

from .. import models
from .common import RelationalHyperlinkedModelSerializer


class ProjectRoleSerializer(RelationalHyperlinkedModelSerializer):
    class Meta:
        model = models.ProjectRole
        fields = '__all__'


class ProjectPermissionSerializer(RelationalHyperlinkedModelSerializer):
    class Meta:
        model = models.ProjectPermission
        fields = '__all__'
